Index: issm/trunk-jpl/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 20662)
+++ issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 20663)
@@ -185,5 +185,4 @@
 def HydrologySpcheadEnum(): return StringToEnum("HydrologySpchead")[0]
 def HydrologyConductivityEnum(): return StringToEnum("HydrologyConductivity")[0]
-def IndependentObjectEnum(): return StringToEnum("IndependentObject")[0]
 def InversionControlParametersEnum(): return StringToEnum("InversionControlParameters")[0]
 def InversionControlScalingFactorsEnum(): return StringToEnum("InversionControlScalingFactors")[0]
@@ -229,6 +228,9 @@
 def MaterialsRheologyNEnum(): return StringToEnum("MaterialsRheologyN")[0]
 def MaterialsRheologyKoEnum(): return StringToEnum("MaterialsRheologyKo")[0]
+def MaterialsRheologyKobarEnum(): return StringToEnum("MaterialsRheologyKobar")[0]
 def MaterialsRheologyEcEnum(): return StringToEnum("MaterialsRheologyEc")[0]
+def MaterialsRheologyEcbarEnum(): return StringToEnum("MaterialsRheologyEcbar")[0]
 def MaterialsRheologyEsEnum(): return StringToEnum("MaterialsRheologyEs")[0]
+def MaterialsRheologyEsbarEnum(): return StringToEnum("MaterialsRheologyEsbar")[0]
 def DamageIsdamageEnum(): return StringToEnum("DamageIsdamage")[0]
 def DamageDEnum(): return StringToEnum("DamageD")[0]
@@ -591,5 +593,5 @@
 def MaticeEnum(): return StringToEnum("Matice")[0]
 def MatdamageiceEnum(): return StringToEnum("Matdamageice")[0]
-def MatbaflEnum(): return StringToEnum("Matbafl")[0]
+def MatearlEnum(): return StringToEnum("Matearl")[0]
 def MatparEnum(): return StringToEnum("Matpar")[0]
 def NodeEnum(): return StringToEnum("Node")[0]
Index: issm/trunk-jpl/src/m/exp/exptool.m
===================================================================
--- issm/trunk-jpl/src/m/exp/exptool.m	(revision 20662)
+++ issm/trunk-jpl/src/m/exp/exptool.m	(revision 20663)
@@ -158,5 +158,9 @@
 	undoplots(prevplot);
 	if numprofiles
-		prevplot2=1;
+		if ~nofigurecopy,
+			prevplot2=1;
+		else
+			prevplot2=L;
+		end
 		for i=1:numprofiles
 			if length(A(i).x)==1,
